POST api/badgereaderapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

BadgeReaderViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

String length: inclusive between 0 and 100

pc_id

globally unique identifier

None.

com_port

integer

None.

baudrate

integer

None.

direction

string

Required

String length: inclusive between 0 and 3

has_correspondence

boolean

Required

active

boolean

Required

badge_reader_type_id

globally unique identifier

None.

site_id

globally unique identifier

None.

parity

integer

Required

data_bits

integer

Required

stop_bits

integer

Required

handshake

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "32651312-0983-4284-b1ab-01fcd0809f7b",
  "name": "sample string 2",
  "pc_id": "086cd369-7572-4d3a-a5f8-db354a4804a5",
  "com_port": 1,
  "baudrate": 1,
  "direction": "sample string 3",
  "has_correspondence": true,
  "active": true,
  "badge_reader_type_id": "0f411538-d80a-4f1e-81b4-f1da2dadc608",
  "site_id": "d9742147-8503-4bee-8513-9fee3aa7d2c8",
  "parity": 6,
  "data_bits": 7,
  "stop_bits": 8,
  "handshake": 9
}

application/xml, text/xml

Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <badge_reader_type_id>0f411538-d80a-4f1e-81b4-f1da2dadc608</badge_reader_type_id>
  <baudrate>1</baudrate>
  <com_port>1</com_port>
  <data_bits>7</data_bits>
  <direction>sample string 3</direction>
  <handshake>9</handshake>
  <has_correspondence>true</has_correspondence>
  <id>32651312-0983-4284-b1ab-01fcd0809f7b</id>
  <name>sample string 2</name>
  <parity>6</parity>
  <pc_id>086cd369-7572-4d3a-a5f8-db354a4804a5</pc_id>
  <site_id>d9742147-8503-4bee-8513-9fee3aa7d2c8</site_id>
  <stop_bits>8</stop_bits>
</badgereader>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"14e5c76b-a2ff-4ccd-9305-bfa71b7f0a71"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">14e5c76b-a2ff-4ccd-9305-bfa71b7f0a71</guid>